收藏
回答

插件里调用全局函数 requireMiniProgram 出错,提示未定义是为何?

引用开发插件的文档里的原话:“从基础库 2.11.1 起,在插件中有全局函数 requireMiniProgram,可以获取由使用者小程序导出的内容。”

但是我在插件的代码里调用 requireMiniProgram() 却得到出错提示:"requireMiniProgram is not defined, ReferenceError: requireMiniProgram is not defined"

这是为何,是调用方法不对吗?


回答关注问题邀请回答
收藏

2 个回答

  • 啦啦啦
    啦啦啦
    06-20

    我今天解决了、你用手机编译看一下就可以了。貌似微信开发者工具不支持这么弄

    06-20
    有用 1
    回复 9
    • 蜜轰
      蜜轰
      06-23
      谢谢,手机确实可以
      06-23
      回复
    • 啦啦啦
      啦啦啦
      07-04回复蜜轰
      你使用的requireMiniProgram 兼容性怎么样
      07-04
      回复
    • 蜜轰
      蜜轰
      07-06回复啦啦啦
      小程序export js的时候,开发者工具没问题,真机报错
      07-06
      回复
    • 吴花&果
      吴花&果
      08-05回复蜜轰
      和我一样,您这后来解决了吗?我真机一直提示加载js失败,开发者工具正常
      08-05
      回复
    • 绅士
      绅士
      08-06回复吴花&果
      同问,小程序export失败,顺便问一下有用到插件导出到小程序吗?会不会有类似的兼容问题
      08-06
      回复
    查看更多(4)
  • H
    H
    09-01

    注意你的基础库,requireMiniProgram是从2.11.1起的~

    09-01
    有用
    回复
登录 后发表内容
问题标签